org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class CertificateEnrollmentPolicy

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.CertificateEnrollmentPolicy

-     public class CertificateEnrollmentPolicy
      extends Object

  Java class for CertificateEnrollmentPolicy complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CertificateEnrollmentPolicy">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="policyOIDReference" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="cAs" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}CAReferenceCollection"/>
               <element name="attributes" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}Attributes"/>
               <any processContents='lax' maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `any`
    `protected Attributes` | `attributes`
    `protected CAReferenceCollection` | `cAs`
    `protected int` | `policyOIDReference`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateEnrollmentPolicy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getAny()` Gets the value of the any property.
    `Attributes` | `getAttributes()` Gets the value of the attributes property.
    `CAReferenceCollection` | `getCAs()` Gets the value of the cAs property.
    `int` | `getPolicyOIDReference()` Gets the value of the policyOIDReference property.
    `void` | `setAttributes(Attributes value)` Sets the value of the attributes property.
    `void` | `setCAs(CAReferenceCollection value)` Sets the value of the cAs property.
    `void` | `setPolicyOIDReference(int value)` Sets the value of the policyOIDReference property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### policyOIDReference

          protected int policyOIDReference

    - #### cAs

          protected CAReferenceCollection cAs

    - #### attributes

          protected Attributes attributes

    - #### any

          protected List<Object> any

  - ### Constructor Detail

    - #### CertificateEnrollmentPolicy

          public CertificateEnrollmentPolicy()

  - ### Method Detail

    - #### getPolicyOIDReference

          public int getPolicyOIDReference()

      Gets the value of the policyOIDReference property.

    - #### setPolicyOIDReference

          public void setPolicyOIDReference(int value)

      Sets the value of the policyOIDReference property.

    - #### getCAs

          public CAReferenceCollection getCAs()

      Gets the value of the cAs property.
      Returns:
        possible object is `CAReferenceCollection`

    - #### setCAs

          public void setCAs(CAReferenceCollection value)

      Sets the value of the cAs property.
      Parameters:
        `value` - allowed object is `CAReferenceCollection`

    - #### getAttributes

          public Attributes getAttributes()

      Gets the value of the attributes property.
      Returns:
        possible object is `Attributes`

    - #### setAttributes

          public void setAttributes(Attributes value)

      Sets the value of the attributes property.
      Parameters:
        `value` - allowed object is `Attributes`

    - #### getAny

          public List<Object> getAny()

      Gets the value of the any property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

      For example, to add a new item, do as follows:

              getAny().add(newItem);

      Objects of the following type(s) are allowed in the list `Object` `Element`

Copyright © 2017 WSO2. All rights reserved.